Modul
Isi
Indeks 🔎︎

# Fungsi IsUnoStruct

Mengembalikan True jika objek yang diberikan adalah struct Uno.

## Sintaksis:

    IsUnoStruct( Tipe uno )

## Nilai hasil:

Bool

## Parameter:

Uno Tipe : Sebuah UnoObjet

## Contoh:

    Sub Main

    Dim bIsStruct

    ' Memberi contoh sebuah layanan

    Dim oSimpleFileAccess

    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )

    bIsStruct = IsUnoStruct( oSimpleFileAccess )

    MsgBox bIsStruct 'Menampilkan False karena oSimpleFileAccess TIDAK memiliki struct

    ' Memberi contoh sebuah struct Properti

    Dim aProperty As New com.sun.star.beans.Property

    bIsStruct = IsUnoStruct( aProperty )

    MsgBox bIsStruct 'Menampilkan True karena aProperty adalah sebuah struct

    bIsStruct = IsUnoStruct( 42 )

    MsgBox bIsStruct 'Menampilkan False karena BUKAN struct

    End Sub